## slurm 0.4.0

=== SConstruct ===
import os

env = Environment()
if os.uname()[0] == 'Linux':
	env.Append(CPPDEFINES=['_HAVE_NCURSES','_HAVE_NCURSES_COLOR'])
elif os.uname()[0] == 'GNU/kFreeBSD':
	env.Append(CPPDEFINES=['_HAVE_NCURSES','_HAVE_NCURSES_COLOR'])

env.Append( LIBS = ['ncurses'] )

env.Program(target='slurm', source=['slurm.c'])

## slurm 0.3.3

=== debian/changelog ===
slurm (0.3.3-2) unstable; urgency=low

  * New maintainer (Closes: #482401)
  * Switch to dpkg-source 3.0 (quilt) format 
  * Create debian/patches/ for all modification on upstream files
  * Add debian/watch 
  * Added vcs-git / vcs-browser to debian/control
  * debian/copyright refers now GPL-2 instead of GPL
  * Bump Standards-Version to 3.8.4

 -- Matthias Schmitz <matthias@sigxcpu.org>  Sun, 18 Jul 2010 19:05:29 +0200

slurm (0.3.3-1) unstable; urgency=low

  * QA Upload
    + change maintainer to QA group
  * Bump Standards-Version to 3.7.3 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 22 May 2008 15:41:57 +0200

slurm (0.3.3-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release
    (repacked upstream tarball without generated Makefile)
  * Update debian/copyright with new upstream
    homepage
  * Add debian/watch file
  * Some debian/rules cleanup
  * Fix errors in manpage
  * Bump debhelper compat level to 5

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 02 Oct 2007 18:59:35 +0200

slurm (0.3.2-1) unstable; urgency=low

  * Initial Release. (Closes: #229663)

 -- Fabian Franz <debian@fabian-franz.de>  Sun, 25 Jan 2004 21:06:14 +0100

=== debian/control ===
Source: slurm
Section: net
Priority: optional
Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
Build-Depends: debhelper (>= 5.0.0), libncurses5-dev
Standards-Version: 3.8.4
vcs-git: git://git.debian.org/users/matthias-guest/slurm.git
vcs-browser: http://git.debian.org/?p=users/matthias-guest/slurm.git;a=summary

Package: slurm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Realtime network interface monitor
 Slurm has the following features:
  * realtime traffic statistics divided into incoming and outgoing 
  * optional combined view 
  * can monitor any kind of network interface 
  * shows detailed statistics about the interface. 
  * it's themeable

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g -D__Debian__

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# work around weird upstream timestamps
	touch aclocal.m4
	touch Makefile.in
	touch config.h.in
	touch configure
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install -m755 slurm $(CURDIR)/debian/slurm/usr/bin/
	cp -a themes/*.theme $(CURDIR)/debian/slurm/usr/share/slurm/

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman slurm.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary install

=== debian/watch ===
# No upstream development since 2004 and no public scm or download available

## slurm 0.4.0

=== debian/changelog ===
slurm (0.4.0-1) unstable; urgency=low

  * New upstream version 0.4.0
  * Add support for GNU/kFreeBSD
  * Change build system from autoconf to scons (Closes: #640221, LP: #832924)
  * Change to debhelper 7
  * Bump debhelper compat level to 7
  * Change debian/copyright to DEP-5 format
  * Bump Standards-Version to 3.9.2
  * Point debian/watch to upstream's new home

 -- Matthias Schmitz <matthias@sigxcpu.org>  Sat, 10 Sep 2011 23:50:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
-Build-Depends: debhelper (>= 5.0.0), libncurses5-dev
-Standards-Version: 3.8.4
-vcs-git: git://git.debian.org/users/matthias-guest/slurm.git
-vcs-browser: http://git.debian.org/?p=users/matthias-guest/slurm.git;a=summary
+Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, scons
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/users/matthias-guest/slurm.git
+Vcs-Browser: http://git.debian.org/?p=users/matthias-guest/slurm.git;a=summary
+Homepage: https://github.com/mattthias/slurm
 
 Package: slurm
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	scons

override_dh_auto_clean:
	scons -c

=== debian/watch ===
# use Gunnar Wolf's great github redirector service
version=3
http://githubredir.debian.net/github/mattthias/slurm/.*(\d\.\d\.\d)\.tar\.gz

## slurm 0.4.2

=== SConstruct ===
import os

env = Environment()

if ARGUMENTS.get('debian'):
    env.Append(CPPDEFINES=['__Debian__'])
flags = ["CPPFLAGS", "CFLAGS", "CXXFLAGS"]
for flag in flags:
    try:
        env[flag] = os.environ[flag]
        print "Imported \"%s\" from environment with value \"%s\"." % (flag, env[flag])
    except:
        print "No \"%s\" in environment found" % flag

# if LDFLAGS exists put them into scons LINKFLAGS
try:
    env['LINKFLAGS'] = os.environ['LDFLAGS']
    print "Imported \"LDFLAGS\" from environment as \"LINKFLAGS\" with value \"%s\"." % env['LINKFLAGS']
except:
    print "No \"LDFLAGS\" in environment found."

if os.uname()[0] == 'Linux':
    env.Append(CPPDEFINES=['_HAVE_NCURSES','_HAVE_NCURSES_COLOR'])

elif os.uname()[0] == 'GNU/kFreeBSD':
    env.Append(CPPDEFINES=['_HAVE_NCURSES','_HAVE_NCURSES_COLOR'])

elif os.uname()[0] == 'Darwin':
    env.Append(CPPDEFINES=['_HAVE_NCURSES','_HAVE_NCURSES_COLOR'])

env.Append( LIBS = ['ncurses'] )
env.Program(target='slurm', source=['slurm.c'])

=== debian/changelog ===
slurm (0.4.2-1) unstable; urgency=medium

  * Import new upstream version 0.4.2
  * New upstream release fixes FTBFS on kfreebsd-* (Closes: #765292)
  * Bump Standards-Version to 3.9.6

 -- Matthias Schmitz <matthias@sigxcpu.org>  Tue, 14 Oct 2014 09:16:16 +0200

slurm (0.4.1-1) unstable; urgency=medium

  * Import new upstream version 0.4.1
  * Add parameter to let slurm search in /usr/share/slurm for its themes.
    (Closes upstream issue #1)
  * Add gbp.conf to deactivate pristine-tar
  * Bump debhelper compat to 9 to get automatically compiler flags for
    security hardening.
  * Import compiler/linker flags from environment.

 -- Matthias Schmitz <matthias@sigxcpu.org>  Fri, 03 Oct 2014 23:02:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, scons
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/users/matthias-guest/slurm.git
-Vcs-Browser: http://git.debian.org/?p=users/matthias-guest/slurm.git;a=summary
+Build-Depends: debhelper (>= 9), libncurses5-dev, scons
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/users/matthias-guest/slurm.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/matthias-guest/slurm.git
 Homepage: https://github.com/mattthias/slurm
 
 Package: slurm

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	scons debian=1

override_dh_auto_clean:
	scons -c

## slurm 0.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# Project name
project(slurm)

# We need ncurses
set(CURSES_NEED_NCURSES true)
find_package(Curses REQUIRED)

if (CURSES_HAVE_NCURSES_H)
  add_definitions(-D_HAVE_NCURSES)
endif()

set(SLURM_SOURCES slurm.c)

# CentOS 6 / CentOS 7 only have very old cmake version where the FindCurses
# module does not work well.  It stops to search for ncurses if it found
# curses. Thats bad for us so we set asume that we have ncurses when the os is
# some RedHat like
execute_process(COMMAND /bin/ls /etc/redhat-release OUTPUT_VARIABLE IS_REDHAT ERROR_QUIET)
if (IS_REDHAT )
  MESSAGE( STATUS "RedHat's cmake ist to old (FindCurse is somewhat broken) so we set _HAVE_NCURSES by hand.")
  add_definitions(-D_HAVE_NCURSES)
endif()

add_executable(slurm ${SLURM_SOURCES})

target_link_libraries(slurm ncurses)

# install
install(TARGETS slurm DESTINATION bin)
install(DIRECTORY themes/ DESTINATION share/slurm PATTERN "*.theme")

=== debian/changelog ===
slurm (0.4.3-2build4) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:09:04 +0000

slurm (0.4.3-2build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:19:09 +0000

slurm (0.4.3-2build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:43:49 +0000

slurm (0.4.3-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:54 +0000

slurm (0.4.3-2) unstable; urgency=medium

  * Fix broken debian/watch file.

 -- Matthias Schmitz <matthias@sigxcpu.org>  Mon, 17 Aug 2015 12:03:38 +0200

slurm (0.4.3-1) unstable; urgency=medium

  * Import new upstream version 0.4.3

 -- Matthias Schmitz <matthias@sigxcpu.org>  Sun, 16 Aug 2015 20:39:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: slurm
 Section: net
 Priority: optional
-Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
-Build-Depends: debhelper (>= 9), libncurses5-dev, scons
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
+Build-Depends: debhelper (>= 9),
+               libncurses5-dev,
+               cmake
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/users/matthias-guest/slurm.git
 Vcs-Browser: http://anonscm.debian.org/cgit/users/matthias-guest/slurm.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/slurm-$1\.tar\.gz/ \
  https://github.com/mattthias/slurm/tags .*/upstream/v?(\d\S*)\.tar\.gz

## slurm 0.4.4

=== debian/changelog ===
slurm (0.4.4-1) unstable; urgency=medium

  * Import new upstream version 0.4.4
  * Fix FTBFS issue with glibc 2.3 (Closes: #993874)
  * Bump Standards-Version to 4.6.2
  * Add "Rules-Require-Root: no"
  * Switch to debhelper 13
  * Enable hardening via DEB_BUILD_MAINT_OPTIONS

 -- Matthias Schmitz <matthias@sigxcpu.org>  Fri, 02 Feb 2024 23:34:17 +0100

slurm (0.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by removing deprecated sys/sysctl.h (closes: #993874)

 -- Philip Rinn <rinni@debian.org>  Sun, 27 Nov 2022 13:31:19 +0100

=== debian/control ===
Source: slurm
Section: net
Priority: optional
Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               libncurses-dev,
               meson
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/matthias-guest/slurm.git
Vcs-Browser: https://salsa.debian.org/matthias-guest/slurm/
Homepage: https://github.com/mattthias/slurm

Package: slurm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Realtime network interface monitor
 Slurm has the following features:
  * realtime traffic statistics divided into incoming and outgoing
  * optional combined view
  * can monitor any kind of network interface
  * shows detailed statistics about the interface.
  * it's themeable

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/slurm-$1\.tar\.gz/ \
  https://github.com/mattthias/slurm/tags .*/upstream/v?(\d\S*)\.tar\.gz

## slurm 22.05.10

=== debian/changelog ===
slurm (22.05.10-1) UNRELEASED; urgency=medium

  * See release notes here: https://github.com/SchedMD/slurm/tree/slurm-22.05

 -- Aditi Gaur <aditigaur@microsoft.com>  Fri, 10 Nov 2023 00:04:12 +0000

=== debian/control ===
Source: slurm
Section: admin
Priority: optional
Maintainer: Aditi Gaur <aditigaur@microsoft.com>
Build-Depends: debhelper-compat (= 12),autotools-dev,libmunge-dev,libncurses-dev,,po-debconf,python3,libgtk2.0-dev,default-libmysqlclient-dev,libpam0g-dev,libperl-dev,chrpath,libpam0g-dev,liblua5.1-0-dev,libhwloc-dev,dh-exec,librrd-dev,libipmimonitoring-dev,hdf5-helpers,libfreeipmi-dev,libhdf5-dev,man2html,libcurl4-openssl-dev,libpmix-dev,libhttp-parser-dev,libyaml-dev,libjson-c-dev,libjwt-dev,liblz4-dev,bash-completion,libdbus-1-dev,librdkafka-dev,libnvidia-ml-dev
Standards-Version: 4.6.0
Homepage: https://slurm.schedmd.com
Rules-Requires-Root: no

Package: slurm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slurm Workload Manager
 Slurm is an open source, fault-tolerant, and highly scalable
 cluster management and job scheduling system for Linux clusters.
 Components include machine status, partition management,
 job management, scheduling and accounting modules

Package: slurm-slurmctld
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm Controller Daemon
 Slurm controller daemon. Used to manage the job queue, schedule jobs,
 and dispatch RPC messages to the slurmd processon the compute nodes
 to launch jobs.

Package: slurm-slurmd
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm compute node daemon
 Slurm compute node daemon. Used to launch jobs on compute nodes

Package: slurm-slurmdbd
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm database daemon
 Slurm database daemon. Used to accept and process database RPCs and upload
 database changes to slurmctld daemons on each cluster

Package: slurm-slurmrestd
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm REST API translator
 Provides a REST interface to Slurm.

Package: slurm-libpmi
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm\'s implementation of the pmi libraries
 Slurm\'s version of libpmi. For systems using Slurm, this version
 is preferred over the compatibility libraries shipped by the PMIx project.

Package: slurm-devel
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Development package for Slurm
 Development package for Slurm.  This package includes the header files
 and static libraries for the Slurm API

Package: slurm-example-configs
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Example config files for Slurm
 Example configuration files for Slurm.

Package: slurm-perlapi
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Perl API to Slurm
 Perl API package for Slurm.  This package includes the perl API to provide a
 helpful interface to Slurm through Perl


Package: slurm-contribs
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Perl tool to print Slurm job state information
 seff is a mail program used directly by the Slurm daemons. On completion of a
 job, wait for it's accounting information to be available and include that
 information in the email body.
 sjobexit is a slurm job exit code management tool. It enables users to alter
 job exit code information for completed jobs
 sjstat is a Perl tool to print Slurm job state information. The output is designed
 to give information on the resource usage and availablilty, as well as information
 about jobs that are currently active on the machine. This output is built
 using the Slurm utilities, sinfo, squeue and scontrol, the man pages for these
 utilities will provide more information and greater depth of understanding.

Package: slurm-torque
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Torque/PBS wrappers for transition from Torque/PBS to Slurm
 Torque wrapper scripts used for helping migrate from Torque/PBS to Slurm

Package: slurm-openlava
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: openlava/LSF wrappers for transition from OpenLava/LSF to Slurm
 OpenLava wrapper scripts used for helping migrate from OpenLava/LSF to Slurm

Package: slurm-pam-slurm
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: PAM module for restricting access to compute nodes via Slurm
 This module restricts access to compute nodes in a cluster where Slurm is in
 use.  Access is granted to root, any user with an Slurm-launched job currently
 running on the node, or any user who has allocated resources on the node
 according to the Slurm

## slurm 23.02.6

=== debian/changelog ===
slurm (23.02.6-1) UNRELEASED; urgency=medium

  * See release notes here: https://github.com/SchedMD/slurm/tree/slurm-23.02

 -- Aditi Gaur <aditigaur@microsoft.com>  Fri, 10 Nov 2023 00:11:37 +0000

## slurm 23.02.7

=== debian/changelog ===
slurm (23.02.7-1) UNRELEASED; urgency=medium

  * See release notes here: https://github.com/SchedMD/slurm/tree/slurm-23.02

 -- Aditi Gaur <aditigaur@microsoft.com>  Mon, 22 Jan 2024 19:16:10 +0000

=== debian/control ===
Source: slurm
Section: admin
Priority: optional
Maintainer: Aditi Gaur <aditigaur@microsoft.com>
Build-Depends: debhelper-compat (= 12),autotools-dev,libmunge-dev,libncurses-dev,po-debconf,python3,libgtk2.0-dev,default-libmysqlclient-dev,libpam0g-dev,libperl-dev,chrpath,libpam0g-dev,liblua5.1-0-dev,libhwloc-dev,dh-exec,librrd-dev,libipmimonitoring-dev,hdf5-helpers,libfreeipmi-dev,libhdf5-dev,man2html,libcurl4-openssl-dev,libpmix-dev,libhttp-parser-dev,libyaml-dev,libjson-c-dev,libjwt-dev,liblz4-dev,bash-completion,libdbus-1-dev,librdkafka-dev,libnvidia-ml-dev
Standards-Version: 4.6.0
Homepage: https://slurm.schedmd.com
Rules-Requires-Root: no

Package: slurm
Architecture: any
Depends: munge, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm Workload Manager
 Slurm is an open source, fault-tolerant, and highly scalable
 cluster management and job scheduling system for Linux clusters.
 Components include machine status, partition management,
 job management, scheduling and accounting modules

Package: slurm-slurmctld
Architecture: any
Depends: munge, slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Slurm Controller Daemon
 Slurm controller daemon. Used to manage the job queue, schedule jobs,
 and dispatch RPC messages to the slurmd processon the compute nodes
 to launch jobs.

Package: slurm-slurmd
Architecture: any
Depends: munge, slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Slurm compute node daemon
 Slurm compute node daemon. Used to launch jobs on compute nodes

Package: slurm-slurmdbd
Architecture: any
Depends: munge, slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Slurm database daemon
 Slurm database daemon. Used to accept and process database RPCs and upload
 database changes to slurmctld daemons on each cluster

Package: slurm-slurmrestd
Architecture: any
Depends: munge, slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Slurm REST API translator
 Provides a REST interface to Slurm.

Package: slurm-libpmi
Architecture: any
Depends: slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Slurm\'s implementation of the pmi libraries
 Slurm\'s version of libpmi. For systems using Slurm, this version
 is preferred over the compatibility libraries shipped by the PMIx project.

Package: slurm-devel
Architecture: any
Depends: slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Development package for Slurm
 Development package for Slurm.  This package includes the header files
 and static libraries for the Slurm API

Package: slurm-example-configs
Architecture: any
Depends: slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Example config files for Slurm
 Example configuration files for Slurm.

Package: slurm-perlapi
Architecture: any
Depends: slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Perl API to Slurm
 Perl API package for Slurm.  This package includes the perl API to provide a
 helpful interface to Slurm through Perl


Package: slurm-contribs
Architecture: any
Depends: slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Perl tool to print Slurm job state information
 seff is a mail program used directly by the Slurm daemons. On completion of a
 job, wait for it's accounting information to be available and include that
 information in the email body.
 sjobexit is a slurm job exit code management tool. It enables users to alter
 job exit code information for completed jobs
 sjstat is a Perl tool to print Slurm job state information. The output is designed
 to give information on the resource usage and availablilty, as well as information
 about jobs that are currently active on the machine. This output is built
 using the Slurm utilities, sinfo, squeue and scontrol, the man pages for these
 utilities will provide more information and greater depth of understanding.

Package: slurm-torque
Architecture: any
Depends: slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: Torque/PBS wrappers for transition from Torque/PBS to Slurm
 Torque wrapper scripts used for helping migrate from Torque/PBS to Slurm

Package: slurm-openlava
Architecture: any
Depends: slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: openlava/LSF wrappers for transition from OpenLava/LSF to Slurm
 OpenLava wrapper scripts used for helping migrate from OpenLava/LSF to Slurm

Package: slurm-pam-slurm
Architecture: any
Depends: slurm (=23.02.7-1), ${shlibs:Depends}, ${misc:Depends}
Description: PAM module for restricting access to compute nodes via Slurm
 This module restricts access to compute nodes in a cluster where Slurm is in
 use.  Access is granted to root, any user with an Slurm-launched job currently
 running on the node, or any user who has allocated resources on the node
 according to the Slurm

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PERL_ARCHLIB := $(shell perl -MConfig -E 'print $$Config{archlib}')
include /usr/share/dpkg/architecture.mk
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-pmix --with-nvml --with-hwloc --enable-pam --enable-multiple-slurmd --with-lua --sysconfdir=/etc/slurm --with-munge
override_dh_auto_build:
	dh_auto_build
override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cd contribs && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -D -m 644 etc/slurmctld.service $(CURDIR)/debian/tmp/lib/systemd/system/slurmctld.service
	install -D -m 644 etc/slurmd.service $(CURDIR)/debian/tmp/lib/systemd/system/slurmd.service
	install -D -m 644 etc/slurmrestd.service $(CURDIR)/debian/tmp/lib/systemd/system/slurmrestd.service
	install -D -m 644 etc/slurmdbd.service $(CURDIR)/debian/tmp/lib/systemd/system/slurmdbd.service
	install -D -m 644 etc/slurm.conf.example $(CURDIR)/debian/tmp/etc/slurm/slurm.conf.example
	install -D -m 644 etc/cgroup.conf.example $(CURDIR)/debian/tmp/etc/slurm/cgroup.conf.example
	install -D -m 644 etc/prolog.example $(CURDIR)/debian/tmp/etc/slurm/prolog.example
	install -D -m 600 etc/slurmdbd.conf.example $(CURDIR)/debian/tmp/etc/slurm/slurmdbd.conf.example
	install -D -m 644 etc/job_submit.lua.example $(CURDIR)/debian/tmp/etc/slurm/job_submit.lua.example
	install -D -m 644 etc/cli_filter.lua.example $(CURDIR)/debian/tmp/etc/slurm/cli_filter.lua.example
	install -D -m 755 contribs/sjstat $(CURDIR)/debian/tmp/usr/bin/sjstat

override_dh_install:
	# remove unpackaged files
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm/*.a
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	rm -r $(CURDIR)/debian/tmp/lib/security/*.a
	rm -r $(CURDIR)/debian/tmp/lib/security/*.la
	# not packaging cray-specific stuff
	rm -r $(CURDIR)/debian/tmp/usr/sbin/capmc*
	rm -r $(CURDIR)/debian/tmp/usr/sbin/slurmsmwd
	rm -r $(CURDIR)/debian/tmp$(PERL_ARCHLIB)*/auto/Slurm/.packlist
	rm -r $(CURDIR)/debian/tmp$(PERL_ARCHLIB)*/auto/Slurmdb/.packlist
	dh_install debian/slurm.install -pslurm -Xusr/lib/$(DEB_HOST_MULTIARCH)/slurm/accounting_storage_mysql.so -Xusr/lib/$(DEB_HOST_MULTIARCH)/slurm/job_submit_pbs.so -Xusr/lib/$(DEB_HOST_MULTIARCH)/slurm/spank_pbs.so
	dh_install debian/slurm-devel.install -pslurm-devel
	dh_install debian/slurm-example-configs.install -pslurm-example-configs
	dh_install debian/slurm-slurmd.install -pslurm-slurmd
	dh_install debian/slurm-slurmctld.install -pslurm-slurmctld
	dh_install debian/slurm-slurmdbd.install -pslurm-slurmdbd
	dh_install debian/slurm-slurmrestd.install -pslurm-slurmrestd
	dh_install debian/slurm-libpmi.install -pslurm-libpmi
	dh_install debian/slurm-perlapi.install -pslurm-perlapi
	dh_install debian/slurm-torque.install -pslurm-torque
	dh_install debian/slurm-openlava.install -pslurm-openlava
	dh_install debian/slurm-contribs.install -pslurm-contribs
override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/tmp

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## slurm 2025.4.9

=== DESCRIPTION ===
Package: slurm
Authors@R: c(
    person("Toby", "Hocking",
     email="toby.hocking@r-project.org",
     role=c("aut", "cre")))
Version: 2025.4.9
License: GPL-3
Title: Running and Parsing Slurm Commands
Description: User-friendly functions which parse output of
 command line programs used to query Slurm.
 Morris A. Jette and Tim Wickberg (2023)
 <doi:10.1007/978-3-031-43943-8_1> describe Slurm in detail.
Imports: data.table (>= 1.11.6), nc (>= 2019.11.22)
SystemRequirements: Slurm command line programs (sacct, squeue)
Suggests: testthat, ggplot2, R.utils
NeedsCompilation: no
Packaged: 2025-04-09 09:25:44 UTC; hoct2726
Author: Toby Hocking [aut, cre]
Maintainer: Toby Hocking <toby.hocking@r-project.org>
Repository: CRAN
Date/Publication: 2025-04-09 10:30:02 UTC
